apiVersion: v1
items:
- apiVersion: gateway.networking.k8s.io/v1
  kind: Gateway
  metadata:
    name: main-gateway
    namespace: nginx-gateway
  spec:
    gatewayClassName: nginx
    listeners:
    - allowedRoutes:
        namespaces:
          from: All
      name: http-all
      port: 80
      protocol: HTTP
    - allowedRoutes:
        namespaces:
          from: All
      hostname: poc1.italiadatacenter.com
      name: https
      port: 443
      protocol: HTTPS
      tls:
        certificateRefs:
        - group: ""
          kind: Secret
          name: poc1-secret
        mode: Terminate
    - allowedRoutes:
        namespaces:
          from: All
      hostname: poc2.italiadatacenter.com
      name: https2
      port: 443
      protocol: HTTPS
      tls:
        certificateRefs:
        - group: ""
          kind: Secret
          name: poc2-secret
        mode: Terminate
    - allowedRoutes:
        namespaces:
          from: All
      hostname: k8s.italiadatacenter.com
      name: https3
      port: 443
      protocol: HTTPS
      tls:
        certificateRefs:
        - group: ""
          kind: Secret
          name: k8s-secret
        mode: Terminate
    - allowedRoutes:
        namespaces:
          from: All
      hostname: poc3.italiadatacenter.com
      name: https4
      port: 443
      protocol: HTTPS
      tls:
        certificateRefs:
        - group: ""
          kind: Secret
          name: poc3-secret
        mode: Terminate
    - allowedRoutes:
        namespaces:
          from: All
      hostname: git.italiadatacenter.com
      name: https5
      port: 443
      protocol: HTTPS
      tls:
        certificateRefs:
        - group: ""
          kind: Secret
          name: git-secret
        mode: Terminate
    - allowedRoutes:
        namespaces:
          from: All
      hostname: harbor.italiadatacenter.com
      name: https6
      port: 443
      protocol: HTTPS
      tls:
        certificateRefs:
        - group: ""
          kind: Secret
          name: harbor-secret
        mode: Terminate
    - allowedRoutes:
        namespaces:
          from: All
      hostname: git.pigreco66.it
      name: httpsp66
      port: 443
      protocol: HTTPS
      tls:
        certificateRefs:
        - group: ""
          kind: Secret
          name: p66-secret
        mode: Terminate
    - allowedRoutes:
        namespaces:
          from: All
      hostname: tekton.italiadatacenter.com
      name: https-grafana
      port: 443
      protocol: HTTPS
      tls:
        certificateRefs:
        - group: ""
          kind: Secret
          name: grafana-secret
        mode: Terminate
    - allowedRoutes:
        namespaces:
          from: All
      hostname: prometheus.italiadatacenter.com
      name: https-prometheus
      port: 443
      protocol: HTTPS
      tls:
        certificateRefs:
        - group: ""
          kind: Secret
          name: prometheus-secret
        mode: Terminate
  